Bug 53079 - loading Apache::Icon crashes httpd
Summary: loading Apache::Icon crashes httpd
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mod_perl (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Gary Benson
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-09-03 12:06 UTC by tpeland
Modified: 2007-04-18 16:36 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-31 11:54:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description tpeland 2001-09-03 12:06:31 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.2-2 i686)

Description of problem:
Adding following line into httpd.conf file causes the httpd server to crash
immediately upon startup. No errors are written into errors_log.

PerlModule Apache::Icon

(Please remember first to install Apache::Icon module from CPAN libraries.)
If I compile the webserver by hand that includes perl support the server
won't crash and the module seems to work.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. install Apache::Icon module from CPAN
2. include line "PerlModule Apache::Icon" in httpd.conf
3. start apache
	

Actual Results:  httpd prosess not running any longer, no errors in
errors_log or in command line.

Expected Results:  httpd shouldn't crash or at minimum print some error
message

Additional info:

If I compile the webserver by hand that includes perl support (not as
module but as part of the server) the server won't crash and the module
Apache::Icon seems to work.


Note You need to log in before you can comment on or make changes to this bug.